%global pkgname Date-HolidayParser

Name:           perl-Date-HolidayParser
Version:        0.41
Release:        2%{?dist}
Summary:        Parser for .holiday-files
License:        GPLv3+ or Artistic
URL:            http://search.cpan.org/dist/Date-HolidayParser/
Source0:        http://www.cpan.org/authors/id/Z/ZE/ZERODOGG/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Any::Moose)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is a module that parses .holiday-style files. These are files that
define holidays in various parts of the world. The files are easy to write
and easy for humans to read, but can be hard to parse because the format
allows many different ways to write it.

%prep
%setup -qn %{pkgname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes COPYING* README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Oct 25 2013 Christopher Meng <rpm@cicku.me> - 0.41-2
- Correct the license(BZ#1008476).

* Mon Sep 16 2013 Christopher Meng <rpm@cicku.me> - 0.41-1
- Initial Package.
